Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class HTMLScriptElementImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.NodeImpl
            |
            +--weblogic.apache.xerces.dom.ChildNode
                  |
                  +--weblogic.apache.xerces.dom.ChildAndParentNode
                        |
                        +--weblogic.apache.xerces.dom.ElementImpl
                              |
                              +--weblogic.apache.html.dom.HTMLElementImpl
                                    |
                                    +--weblogic.apache.html.dom.HTMLScriptElementImpl

public final class HTMLScriptElementImpl
extends HTMLElementImpl
implements org.w3c.dom.html.HTMLScriptElement

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:12 $
Author:
  Assaf Arkin
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `HTMLScriptElement`, `ElementImpl`, Serialized Form

Fields inherited from class weblogic.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Constructor Summary
`HTMLScriptElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getCharset()`
`boolean` | `getDefer()`
`java.lang.String` | `getEvent()`
`java.lang.String` | `getHtmlFor()`
`java.lang.String` | `getSrc()`
`java.lang.String` | `getText()`
`java.lang.String` | `getType()`
`void` | `setCharset(java.lang.String charset)`
`void` | `setDefer(boolean defer)`
`void` | `setEvent(java.lang.String event)`
`void` | `setHtmlFor(java.lang.String htmlFor)`
`void` | `setSrc(java.lang.String src)`
`void` | `setText(java.lang.String text)`
`void` | `setType(java.lang.String type)`

Methods inherited from class weblogic.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class weblogic.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class weblogic.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, removeEventListener, setNodeValue, setPrefix, setUserData, supports, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLScriptElementImpl

    public HTMLScriptElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.

  Parameters:
    `owner` - The owner HTML document

Method Detail

### getText

    public java.lang.String getText()

  Specified by:
    getText in interface org.w3c.dom.html.HTMLScriptElement

### setText

    public void setText(java.lang.String text)

  Specified by:
    setText in interface org.w3c.dom.html.HTMLScriptElement

### getHtmlFor

    public java.lang.String getHtmlFor()

  Specified by:
    getHtmlFor in interface org.w3c.dom.html.HTMLScriptElement

### setHtmlFor

    public void setHtmlFor(java.lang.String htmlFor)

  Specified by:
    setHtmlFor in interface org.w3c.dom.html.HTMLScriptElement

### getEvent

    public java.lang.String getEvent()

  Specified by:
    getEvent in interface org.w3c.dom.html.HTMLScriptElement

### setEvent

    public void setEvent(java.lang.String event)

  Specified by:
    setEvent in interface org.w3c.dom.html.HTMLScriptElement

### getCharset

    public java.lang.String getCharset()

  Specified by:
    getCharset in interface org.w3c.dom.html.HTMLScriptElement

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    setCharset in interface org.w3c.dom.html.HTMLScriptElement

### getDefer

    public boolean getDefer()

  Specified by:
    getDefer in interface org.w3c.dom.html.HTMLScriptElement

### setDefer

    public void setDefer(boolean defer)

  Specified by:
    setDefer in interface org.w3c.dom.html.HTMLScriptElement

### getSrc

    public java.lang.String getSrc()

  Specified by:
    getSrc in interface org.w3c.dom.html.HTMLScriptElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface org.w3c.dom.html.HTMLScriptElement

### getType

    public java.lang.String getType()

  Specified by:
    getType in interface org.w3c.dom.html.HTMLScriptElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface org.w3c.dom.html.HTMLScriptElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD